OpenapiDevice Controls
Update doorbell and chime settings
Changes supported doorbell volume or in-home chime settings.
Authorization
RingAccessToken AuthorizationBearer <token>
Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.
In: header
Path Parameters
device_id*integer
Format
int64Range
1 <= valueQuery Parameters
doorbot[description]*string
doorbot[settings][doorbell_volume]?integer
Range
0 <= value <= 11doorbot[settings][chime_settings][type]?integer
doorbot[settings][chime_settings][enable]?integer
Value in
- 0
- 1
doorbot[settings][chime_settings][duration]?integer
Range
0 <= valueResponse Body
application/json
application/json
curl -X PUT "https://example.com/clients_api/doorbots/1?doorbot%5Bdescription%5D=string"{}